html {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    font-size: 16px;
    font-family: "Inter Tight", sans-serif;
}

body {
    width: 100%;
    height: 100%;
    margin: 0px;
    background: #112551;
    background: linear-gradient(225deg, rgba(17, 37, 81, 1) 0%, rgba(1, 13, 39, 1) 51%);
    display: flex;
    justify-content: center;
    align-items: center;
}

::placeholder {
    font-size: 12px;
}

main {
    width: 100%;
    max-width: 60rem;
    height: 100%;
    max-height: 30rem;
    background: white;
    display: flex;
    border-radius: 2rem;
}

.container {
    display: flex;
    width: 100%;
    background: linear-gradient(225deg, rgb(11, 30, 71) 0%, rgba(1, 13, 39, 1) 51%);
    border-radius: 1rem;

}

.box-grey {
    width: 60%;
    background-color: #e0e0e0;
    border-bottom-left-radius: 1rem;
    border-top-left-radius: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-form {
    width: 100%;
    height: 100%;
    max-width: 35rem;
    max-height: 25rem;
    margin: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    background-color: white;
    border-radius: 1rem;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.2);
}



.box-blue {
    width: 40%;
    background-color: #000d29;
    border-bottom-right-radius: 1rem;
    border-top-right-radius: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;


}

.box-blue img {
    width: 70%;
}

.box-form h1 {
    display: flex;
    align-items: center;
    color: #023E8C;
    font-size: 25px;
    font-weight: 600;
}

.formulario {
    display: flex;
    flex-direction: column;
    gap: 1.4rem;
}

.formulario input {
    border: none;
    border-bottom: 1px solid #555;
    padding: 0.5rem 0;
    font-size: 1rem;
    outline: none;
    background: transparent;
}

.linha-dupla {
    display: flex;
    gap: 1rem;
}

/* .linha-dupla input, 
    .linha-dupla button 
{
    flex: 1;
} */

input.dtVencimento {
    font-family: "Inter Tight", sans-serif;
    font-size: .9rem;
    color: #757575;
    border: none;
    border-bottom: 1px solid #555;
    background-color: transparent;
    padding: 8px 0;
    width: 100%;
    box-sizing: border-box;
}





.formulario button {
    align-self: flex-end;
    background-color: #ec1f89;
    color: white;
    border: none;
    padding: 0.6rem 1.5rem;
    border-radius: 6px;
    font-weight: bold;
    font-size: 0.9rem;
    cursor: pointer;
    margin: 0 auto;
    transition: transform 0.3s cubic-bezier(0.22, 1, 0.36, 1), box-shadow 0.3s ease;
}

.formulario button:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}



.alerta-sucesso {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    background-color: #28a745;
    color: white;
    padding: 1rem 1.5rem;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    font-weight: bold;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.3s ease, transform 0.3s ease;
    z-index: 1000;
}

.alerta-sucesso.mostrar {
    opacity: 1;
    transform: translateY(0);
}

.btnEnviar700px {
    display: none;
}

.todo {
    display: none;
}

@media (max-width: 800px) {

    .box-blue,
    .btnEnviar {
        display: none;
    }

    body {
        display: inline;
    }

    .todo {
        display: flex;
        justify-content: center;
        margin: 1rem 0 1rem 0;
        height: 20%;
    }

    .container {
        justify-content: center;
        border-radius: 0;

    }

    .formulario input {
        width: 92%;
        margin: 0 1rem 0 1rem;
    }

    .btnEnviar700px {
        display: flex;
    }

    .box-grey {
        height: 95%;
        border-radius: 1rem;
    }

    img {
        width: 70%;
        height: 70%;
        display: flex;
        justify-content: center;
    }

}

@media (max-width: 600px) {
    .linha-dupla {
        display: inline;
    }

    .formulario input {
        width: 80%;
    }

    .dtVencimento {
        margin-top: 1rem !important;
    }

    .box-grey {
        height: 99%;
        width: 70% !important;
    }

    .box-form {
        max-height: 28rem;
    }

    .box-form h1 {
        font-size: 20px;
        text-align: center;
    }

    img {
        width: 70%;
        height: 70%;
        display: flex;
        justify-content: center;
    }

    .container {
        justify-content: center;
        border-radius: 0;

    }

}

@media (max-width: 500px) {
    .box-grey {
        height: 99%;
        width: 90% !important;
    }

    img {
        width: 70%;
        height: 70%;
        display: flex;
        justify-content: center;
        margin-top: 1rem;
    }

}